bzimport set Reference to bz40789.
Nikerabbit created this task.Via LegacyOct 5 2012, 7:18 AM
Nikerabbit added a comment.Via ConduitOct 7 2012, 6:23 AM

Seems to be related to this: all our users now get forcefully redirected to https *after* logging even when $wgSecureLogin is false.

Parent5446 added a comment.Via ConduitOct 7 2012, 2:15 PM

That's a pretty big oversight on my part. My apologies. This entire week I feel like I've been getting stupider. Standby for patch.

csteipp added a comment.Via ConduitOct 9 2012, 7:47 PM

Tyler's fix is merged, and will go out with 1.21wmf2. Is this breaking anything to the point that we need to do a live fix on the cluster?

Parent5446 added a comment.Via ConduitOct 9 2012, 7:51 PM

Yes. The problem occurs when $wgSecureLogin is set to false, in which case users are redirected to HTTPS incorrectly.

Nemo_bis added a comment.Via ConduitOct 11 2012, 7:46 PM

Verified on http://sandbox.translatewiki.net/ (updated sandbox.translatewiki.net to be7d611 2012-10-11 08:51:13 +0000).

matmarex added a comment.Via ConduitOct 12 2012, 7:03 PM

Is this going to be backported and deployed before 1.21wmf2?

Ironholds added a comment.Via ConduitOct 14 2012, 3:17 AM

It'd be great if it could be, quite frankly. Some of the bots Wikipedia uses for site maintenance are reliant on this working. The central help forum for en-wiki hasn't been able to archive itself since the bug.

Nemo_bis added a comment.Via ConduitOct 14 2012, 7:21 AM

(In reply to comment #8)

It'd be great if it could be, quite frankly. Some of the bots Wikipedia uses
for site maintenance are reliant on this working. The central help forum for
en-wiki hasn't been able to archive itself since the bug.

So is this in 1.20.0 or not?

Ironholds added a comment.Via ConduitOct 14 2012, 7:47 AM

Above, Chris says it'll be in 1.21wmf2. I think that's a no.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.